Summary:	A collection of plugins to handle mobipocket files
Name:		kdegraphics-mobipocket
Version:	17.12.3
Release:	1
Epoch:		2
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.kde.org
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5kio-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)

%description
A collection of plugins to handle mobipocket files.

%files
%doc COPYING
%{_kde5_services}/mobithumbnail.desktop
%{_qt5_plugindir}/mobithumbnail.so

#----------------------------------------------------------------------

%define major 2
%define libqmobipocket %mklibname qmobipocket %{major}

%package -n %{libqmobipocket}
Summary:	QMobipocket library
Group:		System/Libraries
Requires:	%{name}

%description -n %{libqmobipocket}
QMobipocket library.

%files -n %{libqmobipocket}
%{_kde5_libdir}/libqmobipocket.so.%{major}*

#----------------------------------------------------------------------

%define devqmobipocket %mklibname qmobipocket -d

%package -n %{devqmobipocket}
Summary:	Development files for QMobipocket
Group:		System/Libraries
Requires:	%{libqmobipocket} = %{EVRD}
Provides:	qmobipocket-devel = %{EVRD}

%description -n %{devqmobipocket}
Development files for QMobipocket.

%files -n %{devqmobipocket}
%{_kde5_includedir}/qmobipocket/
%{_kde5_libdir}/libqmobipocket.so
%{_kde5_libdir}/cmake/QMobipocket/

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build


%changelog

* Mon Mar 19 2018 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.12.3-1
- (604bf38) New version 17.12.3

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.08.2-1
- (7f9e41e) New version 17.08.2

* Tue Jul 18 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.3-1
- (a6a93ad) New version 17.04.3

* Tue Jun 27 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:17.04.2-1
- (4bf7a0b) New version 17.04.2

* Fri Mar 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.3-1
- (ec119a3) New version 16.12.3

* Tue Feb 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.2-1
- (1bb1129) New version 16.12.2

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-2
- (5f1f666) MassBuild#1230: Increase release tag

* Tue Jan 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.12.1-1
- (2ae4242) New version 16.12.1
- (2ae4242) Switch to KF5
- (2ae4242) New library major 2

* Mon Oct 31 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:16.08.2-1
- (5a1d6ce) New version 16.08.2

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-3
- (20db7ca) MassBuild#1169: Increase release tag

* Sun Feb 22 2015 Alexander Lakhin <a.lahin@ntcit-rosa.ru> 2:4.14.3-2
- (8bcff84) MassBuild#656: Increase release tag

* Mon Nov 17 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.14.3-1
- (ad457ab) LOG New version 4.14.3 (sync spec and patches with Cooker)

* Sun Jul 20 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.3-1
- (4b6f1c9) LOG New version 4.13.3 (sync spec and patches with Cooker)

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2:4.13.2-2
- (be1b0a0) MassBuild#440: Increase release tag

* Mon Jun 16 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.13.2-1
- (e16d271) LOG New version 4.13.2 (sync spec and patches with Cooker)

* Wed Apr 09 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.4-1
- (89368de) LOG New version 4.12.4 (sync spec and patches with Cooker)

* Thu Mar 13 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.12.3-1
- (59be15e) LOG New version 4.12.3 (sync spec and patches with Cooker)

* Wed Dec 18 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.4-1
- (d5ed76f) LOG New version 4.11.4

* Thu Nov 14 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.3-1
- (292af3e) LOG New version 4.11.3

* Fri Oct 25 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.11.2-1
- (cc2abd4) LOG New version 4.11.2

* Tue Jul 09 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.5-1
- (72b2ac0) LOG New version 4.10.5

* Thu Jun 13 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.4-1
- (9a94bb0) LOG New version 4.10.4

* Tue May 21 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.10.3-1
- (f1de274) LOG New version 4.10.3 (sync with Cooker)

* Sat Jan 26 2013 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.5-1
- (27fa290) Drop tarball
- (Andrey Bondrov: e9e0092) LOG New version 4.9.5

* Thu Dec 06 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.4-1
- (83d395b) LOG New version 4.9.4

* Thu Nov 08 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.3-1
- (dc092cc) LOG New version 4.9.3

* Fri Oct 05 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.2-1
- (f0eba5f) New version 4.9.2

* Tue Sep 11 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.1-1
- (9a9a301) New version 4.9.1

* Tue Aug 14 2012 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2:4.9.0-1
- (cddf425) New version 4.9.0


